## libdsk 1.5.4+dfsg

=== LDBS/Makefile ===

CC = gcc 
CFLAGS = -g -Wall

ZIPFILES=dsk2ldbs.c  ldbs2dsk.c  ldbs.c  ldbsdump.c  ldbs.h  ldbstest.c \
	ldbscopy.c ldbs_v2.c \
	ldbs.html Makefile

EXAMPLES=examples.txt chaos.ldbs md3.ldbs textfiles.ldbs reformat.ldbs

all:	dsk2ldbs ldbs2dsk ldbstest ldbsdump saveldbs.com ldbscopy ldbs_v2

zip:	$(ZIPFILES)
	zip ldbs.zip $(ZIPFILES)
	zip examples.zip $(EXAMPLES)

saveldbs.com:	saveldbs.asm
	zxcc mac saveldbs
	hexcom < saveldbs.hex > $@

#ldbsdump dsk2ldbs ldbs

dsk2ldbs:	dsk2ldbs.o ldbs.o
	$(CC) -o $@ dsk2ldbs.o ldbs.o

ldbs2dsk:	ldbs2dsk.o ldbs.o
	$(CC) -o $@ ldbs2dsk.o ldbs.o

ldbstest:	ldbstest.o ldbs.o
	$(CC) -o $@ ldbstest.o ldbs.o

ldbscopy:	ldbscopy.o ldbs.o
	$(CC) -o $@ ldbscopy.o ldbs.o

ldbs_v2:	ldbs_v2.o ldbs.o
	$(CC) -o $@ ldbs_v2.o ldbs.o

clean:
	rm *.o ldbs2dsk dsk2ldbs ldbstest ldbscopy ldbs_v2

=== debian/changelog ===
libdsk (1.5.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #168591)

 -- Dominik George <natureshadow@debian.org>  Mon, 26 Mar 2018 15:06:08 +0200

=== debian/control ===
Source: libdsk
Section: libs
Priority: optional
Maintainer: Dominik George <natureshadow@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-exec,
 ghostscript,
 lyx,
 texlive-extra-utils,
 texlive-fonts-recommended,
 texlive-latex-recommended,
Standards-Version: 4.1.3
Homepage: http://www.seasip.info/Unix/LibDsk/
Vcs-Git: https://salsa.debian.org/debian/libdsk.git
Vcs-Browser: https://salsa.debian.org/debian/libdsk

Package: libdsk4
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for accessing discs and disc image file
 LibDsk contains libraries and tools for handling disc images, for example
 in emulators or to access images of vintage computers and consoles.
 .
 It has support for the following disc types:
 .
  - Raw files (including /dev/fdn).
  - Raw files, rearranged into logical filesystem order.
  - .DSK files, as used in CPCEMU, JOYCE and other Sinclair/Amstrad emulators.
  - MYZ80 hard drive image files.
  - NanoWasp floppy image files.
  - .CFI (Compressed Floppy Image) files, as created by FDCOPY.COM under DOS.
  - CopyQM files
  - TeleDisk files
  - Compaq QRST files
  - APRIDISK image files
  - The LDBS format
 .
 This package contains the library itself.

Package: libdsk4-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Description: library for accessing discs and disc image file (development headers)
 LibDsk contains libraries and tools for handling disc images, for example
 in emulators or to access images of vintage computers and consoles.
 .
 It has support for the following disc types:
 .
  - Raw files (including /dev/fdn).
  - Raw files, rearranged into logical filesystem order.
  - .DSK files, as used in CPCEMU, JOYCE and other Sinclair/Amstrad emulators.
  - MYZ80 hard drive image files.
  - NanoWasp floppy image files.
  - .CFI (Compressed Floppy Image) files, as created by FDCOPY.COM under DOS.
  - CopyQM files
  - TeleDisk files
  - Compaq QRST files
  - APRIDISK image files
  - The LDBS format
 .
 This package contains the development headers and documentation.

Package: libdsk-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: utils
Description: library for accessing discs and disc image file (utilities)
 LibDsk contains libraries and tools for handling disc images, for example
 in emulators or to access images of vintage computers and consoles.
 .
 It has support for the following disc types:
 .
  - Raw files (including /dev/fdn).
  - Raw files, rearranged into logical filesystem order.
  - .DSK files, as used in CPCEMU, JOYCE and other Sinclair/Amstrad emulators.
  - MYZ80 hard drive image files.
  - NanoWasp floppy image files.
  - .CFI (Compressed Floppy Image) files, as created by FDCOPY.COM under DOS.
  - CopyQM files
  - TeleDisk files
  - Compaq QRST files
  - APRIDISK image files
  - The LDBS format
 .
 This package contains stand-alone utilities to handle disk images on the
 command line.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build

	# Generate documentation
	cd doc; HOME=/tmp lyx --export pdf libdsk.lyx
	cd doc; HOME=/tmp lyx --export text libdsk.lyx
	cd doc; HOME=/tmp lyx --export xhtml libdsk.lyx

override_dh_installdocs:
	dh_installdocs --link-doc=libdsk4

override_dh_compress:
	# Do not compress so doc-base points to readable files
	dh_compress -X.pdf -X.txt -X.xhtml -X.css

## libdsk 1.5.9%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Build-Depends:
  debhelper (>= 11),
  dh-exec,
+ exiftool,
  ghostscript,
  lyx,
  texlive-extra-utils,
  texlive-fonts-recommended,
  texlive-latex-recommended,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://www.seasip.info/Unix/LibDsk/
 Vcs-Git: https://salsa.debian.org/debian/libdsk.git
 Vcs-Browser: https://salsa.debian.org/debian/libdsk
 
 Package: libdsk4
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -37,6 +39,7 @@
   - Compaq QRST files
   - APRIDISK image files
   - The LDBS format
+  - The SAP format
  .
  This package contains the library itself.
 
@@ -63,6 +66,7 @@
   - Compaq QRST files
   - APRIDISK image files
   - The LDBS format
+  - The SAP format
  .
  This package contains the development headers and documentation.
 
@@ -89,6 +93,7 @@
   - Compaq QRST files
   - APRIDISK image files
   - The LDBS format
+  - The SAP format
  .
  This package contains stand-alone utilities to handle disk images on the
  command line.

=== debian/watch ===
version=4
opts="dversionmangle=s/(.*)\+dfsg(.?\d+)?$/$1.$2/,\
repacksuffix=+dfsg" \
https://www.seasip.info/Unix/LibDsk/ .*/libdsk-(\d\S+)\.tar\.gz

## libdsk 1.5.9+dfsg

=== LDBS/Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	ldbscopy.c ldbs_v2.c \
 	ldbs.html Makefile
 
-EXAMPLES=examples.txt chaos.ldbs md3.ldbs textfiles.ldbs reformat.ldbs
+EXAMPLES=examples.txt chaos.ldbs md3.ldbs textfiles.ldbs reformat.ldbs \
+	32k.ldbs 32sectors.ldbs offsets.ldbs copies.ldbs gap3.ldbs
 
 all:	dsk2ldbs ldbs2dsk ldbstest ldbsdump saveldbs.com ldbscopy ldbs_v2

=== debian/changelog ===
libdsk (1.5.9+dfsg-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:44:40 +0200

libdsk (1.5.9+dfsg-1) unstable; urgency=medium

  * New upstream version.
    + Adds support for SAP format.
      + Update symbols file for that.
  * Bump Standards-Version (no changes needed).
  * Mark libdsk4 Multi-Arch: same.
  * Make build reproducible by stripping dates from PDF documentation.

 -- Dominik George <natureshadow@debian.org>  Sat, 01 Dec 2018 12:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libdsk
 Section: libs
 Priority: optional
-Maintainer: Dominik George <natureshadow@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominik George <natureshadow@debian.org>
 Build-Depends:
  debhelper (>= 11),
  dh-exec,
